# How To Make A Deposit In Tornado Cash
To improve privacy, Tornado cash breaks the on-chain link between the source and the destination address. The platform uses a smart contract that accepts ETH deposits. Whenever the user wishes to deposit, he/she generates a secret and sends its hash (called a commitment) along with a deposit amount to the Tornado smart contract. The contract accepts the deposit and adds the commitment to its list of deposits. 

## Usage Guide
Go to the Tornado Cash **[webpage](https://tornado.cash/)**.
The landing page looks like this.

![webpage](https://siasky.net/DADgpg5vPOF5JPwOxlFwYXPzT8vRFlR9leCDWqMBIWR9yg)

Click on **Launch App** and it will redirect you to the **[page](https://app.tornado.cash/account)**

 ![wallet](https://siasky.net/KABpV33X84PCitszZpwa4thYvYOxPHw29Qlx0UqKxf4ioQ)
 
Connect your Web3 (Metamask) wallet.
### Note Account
Once you have connected your Metamask wallet, the next thing you are required to do is to set up the **Note account**.
The Note Account key is used to encrypt and store your tornado.cash private notes on the ethereum blockchain.

 ![Note account](https://siasky.net/NAD6aVPWNrE4n1cUknhwZinCGWdCf8WlzBe2H_82i9G9CQ)
 
Click on **Setup Account**.

 ![setup account](https://siasky.net/BABEIuEBVLR7kgiE6pOxVCKjIDgjdqK9mystttsRVzprhA)
 
The application will show your Note Account key that you need to store safely. **Do not share your account key details with anyone**. 

![account setup](https://siasky.net/bAAPlh2vU89f5mFkssIFGLhXZJTPHivQDlrrWm0m-yn5ZQ)

Click on **Setup account** and a Metamask transaction is triggered. Confirm the transaction. 
Once the transaction is finished, you can see your Note Account is successfully set up. 

 ![note account set](https://siasky.net/HAA4u3D5HkdPlE1de6e2n0NbKg4ANoW_qL5WBY0yGlE6gg)
 
The basic account setup is done. We can now proceed with Deposit.
### Deposit
To maintain a high level of anonymity,one of the method that Tornado cash uses is that it allows users to deposit only a fixed token value. 
Once you go to the **Deposit** tab and select the token you want to deposit, you will find that you are allowed to deposit some fixed token value. For example, in the case of ETH, you can deposit only 0.1 ETH, 1 ETH, 10 ETH, or 100 ETH.

![deposit](https://siasky.net/FAC3nA1tU50pw9JVeqLUy6TP5Cow42uhKp7pbtVrh20-gw)

The Statistics section will show you the list of the latest deposits with the selected denomination.
**Important:** Kindly note that the project is still in the experimental phase. Use at your own risk.
To **Deposit**, select the token and the amount that you wish to deposit. The application will then ask you to save your note file (.txt). This note file can be used later to withdraw your deposit.

  ![send deposit](https://siasky.net/zACyy3T6bauKX5jrch1N5Nt3Hr3sK13JcAZyg7CGDNAVOA)
  
Click on **Send Deposit** and confirm the Metamask transaction. 
You can now see your deposit transactions will be added in the Statistics section.

 ![statistics](https://siasky.net/rADt7GRpcVllIhlIoAiUpeqDoKUfVYFhXTiklNLMlXn31w)
 
From the bottom of the tab, you can check your deposit transactions along with other key details like:
- Your Deposit amount
- Any subsequent deposit after your transaction with the same denomination
- Transaction Hash
- Transaction status
- Rewards Earned
- Note
 

![deposit details](https://siasky.net/OADOPSot2Tx_FAvtqKJz-jFwkUKbeqtG8YD2z4zNz7YTSA)

The rewards section shows the Anonymity Point (AP) that a user earns for depositing and withdrawing from the ETH anonymity pool. You can earn more AP for staying longer in the pool.
The Note can be used to withdraw the funds. We will explain in detail how you can use the Note to withdraw your funds in the Withdraw section.















